import request from '@/utils/requestYiLi'
import md5 from 'js-md5';

// 登录方法YiLi
export function loginYiLi() {
  return request({
    url: '/oauth/token?grant_type=client_credentials',
    method: 'post',
    data: {},
  })
}

// 设施状态概览
export function dashboardsFacilitiesStatusOverview(query) {
  return request({
    url: '/dashboards/facilities/status-overview',
    method: 'get',
    params: query
  })
}

// 设施使用率及二级单位统计
export function dashboardsFacilitiesUsageStats(query) {
  return request({
    url: '/dashboards/facilities/usage-stats',
    method: 'get',
    params: query
  })
}

// 设施列表信息
export function dashboardsResearchUsage(query) {
  return request({
    url: "/dashboards/research/usage?"+query,
    method: 'get',
  })
}

// 设施列表信息
export function dashboardsMediaAnnouncements(query) {
  return request({
    url: "/dashboards/media-announcements",
    method: 'get',
    params: query
  })
}
